{pkgs, ...}: {
  home = {
    username = "tacocat";
    homeDirectory = "/home/tacocat";
    stateVersion = "23.11";
    sessionVariables = {
      EDITOR = "hx";
      BAT_THEME = "ansi";
      DOTNET_ROOT = "$HOME/.dotnet";
    };
    sessionPath = [
      "$HOME/.local/bin"
      "$HOME/.dotnet"
      "$HOME/.cargo/bin"
    ];
    shellAliases = {
      # cat = "bat";
      # please = "sudo !!";
      gaa = "git add .";
      gcm = "git commit -m";
      gpom = "git push -u origin main";
    };
    packages = with pkgs; [
      wineWowPackages.unstable
      comic-mono
      maple-mono
      jetbrains-mono
      (nerdfonts.override {fonts = ["FiraMono"]; } )
      gnupg
      pandoc
      jdk20
      pdftk
      git
      git-crypt
      (writeShellScriptBin "hs-way" ''
        home-manager --flake $HOME/nix-config/#tacocat build
        # GEN=$(home-manager generations | head -1 | awk '{print $NF}')
        "$HOME/nix-config/result/specialisation/wayland/activate"
      '')
    ];
  };

  fonts.fontconfig.enable = true;

  news.display = "silent";

  imports = [
    ./programs
    ./services
    ./shell
    ./helix
    ./emacs
    ./wayland
  ];

  # Let Home Manager install and manage itself.
  programs.home-manager.enable = true;
}
